#!/bin/zsh

# Copyright 2016 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

source "$_EXEC/pages/cards.sh"
declare -A mpx

BR='
'

view_card="$_EXEC/templates/view_client.sh"

list_prescriptions(){
  client="$1"
  find "$_DATA/prescriptions/" -name "${client%.vcf}.*.mpx" \
  | while read pfile; do
    printf '%s\t%s\n' "$(grep '^date' "$pfile")" "${pfile##*/}"
  done \
  | sort -r | cut -f2
}

edit_prescription(){
  id="$1"
  prescfile="$_DATA/prescriptions/$id"
  tempfile="$_DATA/temp/$id"
  [ -f "$tempfile" ] || cp "$prescfile" "$tempfile"

  mpx=()
  cat "$tempfile" |while read -r line; do
    val="${line#*:}"
    mpx[${line%%:*}]="${val//\\n/$BR}"
  done

  . "$_EXEC/templates/edit_prescription.sh"
}

view_prescription(){
  id="$1"
  prescfile="$_DATA/prescriptions/$id"

  mpx=()
  cat "$prescfile" |while read -r line; do
    val="${line#*:}"
    mpx[${line%%:*}]="${val//\\n/$BR}"
  done

  . "$_EXEC/templates/view_prescription.sh"
}
